Bug 249270 - modprobe is slow
Summary: modprobe is slow
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: module-init-tools   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jon Masters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-07-23 13:43 UTC by Harald Hoyer
Modified: 2009-01-09 07:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 07:10:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-23 13:43:14 UTC
modprobe is slow. Especially when trying to modprobe a modalias, which does not
exist. Please try to speedup modprobe. udev startup times will be shortened a lot :)

Thanks!

Comment 1 Florian La Roche 2007-07-24 09:08:25 UTC
Harald syas modprobe is called quite often from udev (about 40 times on a
normal setup?)


The following shows that modprobe needs quite some time for a non-existent
module to just process it:



[root@dudweiler ~]# time for i in `seq 1 200`; do modprobe hugo 2>/dev/null; done

real    0m3.516s
user    0m3.340s
sys     0m0.168s
[root@dudweiler ~]# time for i in `seq 1 200`; do grep Hallo /etc/passwd; done

real    0m0.165s
user    0m0.065s
sys     0m0.095s


Doesn't look like modprobe is opening up too many files though:
3588  open("/etc/ld.so.cache", O_RDONLY) = 3
3588  open("/lib/libc.so.6", O_RDONLY)  = 3
3588  open("/etc/modprobe.conf", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) =
-1 ENOTDIR (Not a directory)
3588  open("/etc/modprobe.conf", O_RDONLY) = 3
3588  open("/etc/modprobe.d", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 3
3588  open("/etc/modprobe.d/blacklist-firewire",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
3588  open("/etc/modprobe.d/blacklist-firewire", O_RDONLY) = 4
3588  open("/etc/modprobe.d/modprobe.conf.dist",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
3588  open("/etc/modprobe.d/modprobe.conf.dist", O_RDONLY) = 4
3588  open("/etc/modprobe.d/blacklist",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
3588  open("/etc/modprobe.d/blacklist", O_RDONLY) = 4
3588  open("/etc/modprobe.d/blacklist-compat",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
3588  open("/etc/modprobe.d/blacklist-compat", O_RDONLY) = 4
3588  open("/etc/modprobe.d", O_RDONLY) = 3
3588  open("/lib/modules/2.6.18-36.el5/modules.dep", O_RDONLY) = 3
3588  open("/lib/modules/2.6.18-36.el5/modules.alias",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
3588  open("/lib/modules/2.6.18-36.el5/modules.alias", O_RDONLY) = 3



Jonathan Masters, any idea on what's going on here?

regards,

Florian La Roche


Comment 2 Florian La Roche 2007-07-24 09:22:32 UTC
Some more data:
http://sourceware.org/ml/systemtap/2007-q1/msg00140.html

regards,

Florian La Roche


Comment 3 Bug Zapper 2008-04-04 13:25:52 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Bug Zapper 2008-11-26 07:35:39 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-01-09 07:10:52 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.